<?php

require_once '../config.inc.php';
require_once INCLUDE_PATH.'Teamnet/Fax/Soap/Client/SendFax.php';
require_once INCLUDE_PATH.'Teamnet/Fax/Soap/Client/RecipientList.php';


// === Parameter des neuen Jobs ===

// Die Empfänger, werden vom Aufrufer mit Zeilenumbrüchen getrennt übergeben
$a_Recipients = isset($_REQUEST['recipients'])
			  ? explode("\n", $_REQUEST['recipients']) : null;

// Da die Empfängerliste aus einer Textarea kommen
// könnte, leere Einträge suchen und entfernen
$a_Recipients = array_values( array_diff($a_Recipients, array('')));

// Bezeichnung des neuen Jobs
$s_Jobtitle = isset($_REQUEST['title']) ? $_REQUEST['title'] : 'QuickStart PDF-Dokument an Empfängerliste';

// Die Faxvorlage wird im PDF Format übergeben
$i_Contenttype = 'application/pdf';

// PDF Datei laden
$s_Content = file_get_contents ('example.pdf');

// Sendfax wrapper
$o_SendFax = new Teamnet_Fax_Soap_Client_SendFax( FAX_SENDFAX_WSDL, FAX_AUTHKEY );


// === Fax versenden ===

try {
	// Empfängerliste erzeugen
	$recipientList = new Teamnet_Fax_Soap_Client_RecipientList( $a_Recipients );
	// Faxauftrag abschicken
	$i_JobID = $o_SendFax->sendFaxToRecipientList( $s_Jobtitle, $i_Contenttype, $s_Content, $recipientList );

	echo 'Fax wird an folgende Empfänger versendet :<br>';
	foreach ($a_Recipients as $sRecipient)
		echo $sRecipient.'<br>';

	echo '<br>JobID: '.$i_JobID.'<br>';
} catch (ParameterException $e) {
	echo 'Parameter '.$e->parameter.': '.$e->getMessage();
} catch (AuthentificationException $e) {
	echo $e->getMessage();
} catch (ServiceException $e) {
	echo 'Der API-Endpunkt meldet einen internen Fehler: '.
		 $e->getMessage();
} catch (MaintenanceException $e) {
	echo 'Wartungsarbeiten am API-Endpunkt: '.$e->getMessage();
} catch (LimitExceededException $e) {
	echo $e->getMessage();
} catch (SoapFault $e) {
	echo 'SoapFault: '.$e->getMessage();
}